/*

This theoretically should work, except that it doesn't.

Chrome 25 reports support, but it doesn't support regions (anymore).

*/

// Generic Testing Function
var supports = (function() {

   var div     = document.createElement('div'),
       vendors = 'Khtml Ms O Moz Webkit'.split(' '),
       len     = vendors.length;

   return function(prop) {

      if (prop in div.style) return true;

      prop = prop.replace(/^[a-z]/, function(val) {
         return val.toUpperCase();
      });

      while (len--) {
         if (vendors[len] + prop in div.style) {
            return true;
         }
      }

      return false;

   };

})();

// Test
if (supports('flowInto')) {
   $("html").addClass('cssregions');
} else {
   $("html").addClass('no-cssregions');
}